Page MenuHomePhabricator

Syntax highlighting missing in mobile app
Open, Needs TriagePublic

Description

At least the iOS, but likely also the Android app, do not apply syntax highlighting to articles or Modules containing code.

Example, the article Lua (programming language)

Details

Related Gerrit Patches:
apps/android/wikipedia : masterInclude syntax highlighting CSS styles.

Event Timeline

TheDJ created this task.Nov 13 2017, 10:30 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 392067 had a related patch set uploaded (by Dbrant; owner: Dbrant):
[apps/android/wikipedia@master] Include syntax highlighting CSS styles.

https://gerrit.wikimedia.org/r/392067

Dbrant claimed this task.Nov 17 2017, 5:21 PM

Change 392067 merged by jenkins-bot:
[apps/android/wikipedia@master] Include syntax highlighting CSS styles.

https://gerrit.wikimedia.org/r/392067

<syntaxhighlight> works well in the latest alpha, but modules (e.g. Module:String) and CSS/JS pages (MediaWiki:Common.css/js) not. I suppose it doesn’t check the content type. Modules also don’t show documentation.

Dbrant closed this task as Resolved.Apr 16 2019, 2:47 PM

Please reopen if still an issue.

Tacsipacsi reopened this task as Open.Apr 17 2019, 3:48 PM

Please reopen if still an issue.

Content model-based syntax highlight still doesn’t work.